QGIS locks up while waiting for WMS response

2014-01-27 04:59 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18030

Description

For whatever reason, my WMS server isn't responding to queries at all (timeout).

To replicate: Requires Non-functioning WMS.

1) Click "Connect" 

2) Wait.

QGIS does a number of bad things here:

a) The entire interface locks up.

b) The only button that seems to work is the "X" icon in the top right of the WMS dialog.

c) QGIS is using 100% of one core while waiting. Why?

d) Even if I close the dialog using the icon in (b) - the WMS log says "Download of capabilities failed; Operation cancelled" - however

QGIS remains locked up for a while after this.

QGIS - 5192e8d - Windows 7 64 bit.

History

#1 - 2014-01-27 05:05 AM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Category set to Web Services clients/WMS

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
